Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class AttributeValueAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.AttributeValueAdmin

    public class AttributeValueAdmin

extends java.lang.Object

The `AttributeValueAdmin.java` class - colleciton of AttributeValue admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_attributeValueTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`AttributeValueAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`void` | `addGlobalToken(LibrarySession sess, ParameterTable params)` Section variant of AddGlobalToken
`void` | `createAttributeValue(LibrarySession sess, ParameterTable params)` Section variant of Create AttributeValue
`AttributeValue` | `lookupAttributeValue(java.lang.String idname)`
`void` | `modifyAttributeValue(LibrarySession sess, ParameterTable params)` Section variant of modifyAttributeValue
`void` | `removeGlobalToken(LibrarySession sess, ParameterTable params)` Section variant of RemoveGlobalToken
`void` | `unidentifyAttributeValue(LibrarySession sess, ParameterTable params)` Section variant of unidentifyAttributeValue

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_attributeValueTable

    protected java.util.Hashtable m_attributeValueTable

Constructor Detail

### AttributeValueAdmin

    public AttributeValueAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createAttributeValue

    public void createAttributeValue(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `AttributeValueAdmin`
  Section variant of Create AttributeValue

  Throws:
    `IfsException`

### unidentifyAttributeValue

    public void unidentifyAttributeValue(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `AttributeValueAdmin`
  Section variant of unidentifyAttributeValue

  Throws:
    `IfsException`

### modifyAttributeValue

    public void modifyAttributeValue(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `AttributeValueAdmin`
  Section variant of modifyAttributeValue

  Throws:
    `IfsException`

### lookupAttributeValue

    public AttributeValue lookupAttributeValue(java.lang.String idname)
                                        throws IfsException

  Throws:
    `IfsException`

### addGlobalToken

    public void addGlobalToken(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `AttributeValueAdmin`
  Section variant of AddGlobalToken

  Throws:
    `IfsException`

### removeGlobalToken

    public void removeGlobalToken(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `AttributeValueAdmin`
  Section variant of RemoveGlobalToken

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD